describe('Store', () => {
  let uut;

  beforeEach(() => {
    uut = require('./Store');
  });

  it('initial state', () => {
    expect(uut.getPropsForContainerId('container1')).toEqual({});
  });

  it('holds props by containerId', () => {
    uut.setPropsForContainerId('container1', {a: 1, b: 2});
    expect(uut.getPropsForContainerId('container1')).toEqual({a: 1, b: 2});
  });

  it('defensive for invalid containerId and props', () => {
    uut.setPropsForContainerId('container1', undefined);
    uut.setPropsForContainerId(undefined, undefined);
    expect(uut.getPropsForContainerId('container1')).toEqual({});
  });

  it('holds containers classes by containerKey', () => {
    const MyComponent = class {
      //
    };
    uut.setContainerClass('example.mykey', MyComponent);
    expect(uut.getContainerClass('example.mykey')).toEqual(MyComponent);
  });
});

